Events
Every notification Yusr sends is recorded as an event. Use the event log to audit deliveries, catch up after downtime, or redeliver an event to your endpoints.
| get | /v1/eventsList events | List events |
| get | /v1/events/{id}Retrieve an event | Retrieve an event |
| post | /v1/events/{id}/resendResend an event to your webhook endpoints | Resend an event to your webhook endpoints |
Read the Webhooks guide for the concepts behind these endpoints.
List events
/v1/eventsQuery parameters
typestring | One of |
transactionstring | |
limitinteger | 1–100, default 20 |
starting_afterstring | Cursor: the |
Responses
Show response attributesHide response attributes
objectstringrequired | always "list" | ||||||||||||
dataarray of objectrequired | Show child attributesHide child attributes
| ||||||||||||
has_morebooleanrequired | |||||||||||||
next_cursorstring | nullrequired |
Retrieve an event
/v1/events/{id}Path parameters
idstringrequired |
Responses
Show response attributesHide response attributes
idstringrequired | |
objectstringrequired | always "event" |
typestringrequired | One of |
modestringrequired | One of |
created_atstringrequired | |
dataobject of anyrequired |
Resend an event to your webhook endpoints
/v1/events/{id}/resendPath parameters
idstringrequired |
Request bodyapplication/json
endpoint_idstring |
Responses
Show response attributesHide response attributes
objectstringrequired | always "resend" |
queuedintegerrequired | Number of deliveries queued |